REST APIUser Management Notification

PUT

Replaces the entire muted wallets list for the authenticated user. Pass an empty list to unmute all wallets.

Header Params

  • request-id string
    Optional idempotency key for the request

Body Params

object

  • walletIds array of strings

    0 to 5000 items

Responses

200
Muted wallets list updated successfully

Response Body

object

  • userId string required
  • success boolean required
  • message string required
  • mutedEnterpriseIds array of strings
  • mutedWalletIds array of strings
400
Invalid muted wallets request body

Response Body

object

Bad request error response
  • name string enum required
    Error code
    ValidationFailedIllegalArgumentBadRequestDataIntegrityErrorNotImplementedErrorRETRIGGER_RATE_LIMITEDUSER_CREATION_FAILEDUSER_FALLBACK_FAILED
  • error string required
    Human-readable error message
  • status integer enum int32 required
    HTTP status code
    400
500
Unexpected error

Response Body

object

Internal server error response
  • name string enum required
    Error code
    UnexpectedErrorThirdPartyErrorDatabaseErrorUSER_FALLBACK_TIMEOUT
  • error string required
    Human-readable error message
  • status integer enum int32 required
    HTTP status code
    500